; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	FONT_0
	FARBE_WEISS
	ZEILE_0

	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ASCII_TEXT_Z

	ZEILE_2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ASCII_TEXT_Z

	ZEILE_4
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	rcall ASCII_TEXT_Z

	ZEILE_6
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	rcall ASCII_TEXT_Z

	ZEILE_8
	ldi ZH, high(TEXT_BEGRUESSUNG_5*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_5*2)
	rcall ASCII_TEXT_Z
	ZEILE_10
	ldi ZH, high(TEXT_BEGRUESSUNG_6*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_6*2)
	rcall ASCII_TEXT_Z
	ZEILE_12
	ldi ZH, high(TEXT_BEGRUESSUNG_7*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_7*2)
	rcall ASCII_TEXT_Z
	ZEILE_14
	ldi ZH, high(TEXT_BEGRUESSUNG_8*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_8*2)
	rcall ASCII_TEXT_Z

	ZEILE_15
	FARBE_ROT
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP


	FARBE_GRUEN
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP

	FARBE_BLAU
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP

	FARBE_MAGENTA
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP

	FARBE_CYAN
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP

	FARBE_SCHWARZ
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP

	FARBE_WEISS
	ldi TEMP,0
	rcall ASCII_TEMP
	ldi TEMP,0
	rcall ASCII_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 77ms																			
ANZEIGE_HAUPT:	
	rcall STOPPUHR_NULL

	FONT_2
	ZEILE_1
	FARBE_GRUEN
	rcall ANZEIGE_ZEIT_KURZ


	FONT_3
	ZEILE_8
	FARBE_ROT
	rcall ANZEIGE_BETRIEBSSPANNUNG_KURZ

	FONT_0
	ZEILE_14
	FARBE_GRUEN
	rcall ANZEIGE_WDR_MCUCSR_KURZ

	ZEILE_15
	rcall ASCII_SPACE5
	rcall ASCII_SPACE3
	rcall ANZEIGE_STOPPUHR_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;7 6 5 4 3    2    1     0														
;    WDRF BORF EXTRF PORF		 MCUCSR										
ANZEIGE_WDR_MCUCSR_KURZ:
	in temp1, MCUCSR
	rcall HEX_TEMP1	
	rcall ASCII_SPACE

	in temp9, MCUCSR
	sbrc temp9,0  	;Skip if Bit in Register Cleared
	rcall ANZEIGE_WDR_PORF
	sbrc temp9,1
	rcall ANZEIGE_WDR_EXTRF
	sbrc temp9,2
	rcall ANZEIGE_WDR_BORF
	sbrc temp9,3
	rcall ANZEIGE_WDR_WDRF
ret
;-------------------------------------------------------------------------------
ANZEIGE_WDR_PORF:
	ldi TEMP,'P'
	rcall ASCII_TEMP
	ldi TEMP,'O'
	rcall ASCII_TEMP
	rjmp ASCII_SPACE
ANZEIGE_WDR_EXTRF:
	ldi TEMP,'E'
	rcall ASCII_TEMP
	ldi TEMP,'X'
	rcall ASCII_TEMP
	rjmp ASCII_SPACE
ANZEIGE_WDR_BORF:
	ldi TEMP,'B'
	rcall ASCII_TEMP
	ldi TEMP,'O'
	rcall ASCII_TEMP
	rjmp ASCII_SPACE
ANZEIGE_WDR_WDRF:
	ldi TEMP,'W'
	rcall ASCII_TEMP
	ldi TEMP,'D'
	rcall ASCII_TEMP
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ZEIT_KURZ:
	LDS temp1,(adr_hh)
	rcall ZAHL2_TEMP1
	rcall ASCII_DOPPELPUNKT
	LDS temp1,(adr_mm)
	rcall ZAHL2_TEMP1
	rcall ASCII_DOPPELPUNKT
	LDS temp1,(adr_ss)
	rcall ZAHL2_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_STOPPUHR_KURZ:
	CLI 										; Global Interrupt Disable	
	LDS temp1,(adr_STOPPUHR_L)
	LDS temp2,(adr_STOPPUHR_H)
	SEI											; Interrupts freigeben		

	rcall ZAHL_TEMP1_2
	ldi temp,'m'
	rcall ASCII_TEMP
	ldi temp,'s'
	rcall ASCII_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BETRIEBSSPANNUNG_KURZ:
	LDS temp1,(adr_ADC_BETRIEBSSPANNUNG)
	rcall ZAHL2_KOMMA_TEMP1
	ldi temp,'V'
	rcall ASCII_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
